Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 2441)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 2442)
@@ -52,61 +52,63 @@
  * The Class Workspace: manages the TXM corpora in the $TXMHOME/corpora directory
  */
 public class Workspace extends TXMResult {
-
+	
 	private static final String NAME = "name";
-
+	
 	IWorkspace rcpWorkspace;
+	
 	IWorkspaceRoot root;
+	
 	IProject corporaProject;
-	//	/** The xmlfile. */
-	//	File xmlDefinitionFile;
+	// /** The xmlfile. */
+	// File xmlDefinitionFile;
 	//
-	//	/** The doc. */
-	//	Document doc;
+	// /** The doc. */
+	// Document doc;
 	//
-	//	/** The projs. */
-	//	Element projs;
-
-
-	//	/**
-	//	 * Creates the empty workspace.
-	//	 *
-	//	 * @param xmlfile the xmlfile
-	//	 * @return the workspace
-	//	 */
-	//	public static Workspace createEmptyWorkspaceDefinition(File xmlfile) {
-	//		writeEmptyWorkspaceFile(xmlfile);
-	//		return new Workspace(xmlfile);
-	//	}
+	// /** The projs. */
+	// Element projs;
+	
+	
+	// /**
+	// * Creates the empty workspace.
+	// *
+	// * @param xmlfile the xmlfile
+	// * @return the workspace
+	// */
+	// public static Workspace createEmptyWorkspaceDefinition(File xmlfile) {
+	// writeEmptyWorkspaceFile(xmlfile);
+	// return new Workspace(xmlfile);
+	// }
 	//
-	//	/**
-	//	 * Write empty workspace file.
-	//	 *
-	//	 * @param xmlfile the xmlfile
-	//	 * @return true, if successful
-	//	 */
-	//	protected static boolean writeEmptyWorkspaceFile(File xmlfile) {
-	//		xmlfile.getParentFile().mkdirs();
-	//		try {
-	//			OutputStreamWriter writer = new OutputStreamWriter(
-	//					new FileOutputStream(xmlfile), TXMPreferences.DEFAULT_ENCODING);
-	//			writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"); //$NON-NLS-1$
-	//			writer.write("<workspace>\n"); //$NON-NLS-1$
-	//			writer.write("<projects>\n"); //$NON-NLS-1$
-	//			writer.write("<project name=\"default\">\n"); //$NON-NLS-1$
-	//			writer.write("<bases/>\n"); //$NON-NLS-1$
-	//			writer.write("</project>\n"); //$NON-NLS-1$
-	//			writer.write("</projects>\n"); //$NON-NLS-1$
-	//			writer.write("</workspace>\n"); //$NON-NLS-1$
-	//			writer.close();
-	//		} catch (IOException e) {
-	//			System.out.println(TXMCoreMessages.Workspace_6+xmlfile.getAbsolutePath());
-	//			Log.severe(TXMCoreMessages.Workspace_6+xmlfile.getAbsolutePath()+" : "+e.getMessage()); //$NON-NLS-1$
-	//			return false;
-	//		}
-	//		return true;
-	//	}
-
+	// /**
+	// * Write empty workspace file.
+	// *
+	// * @param xmlfile the xmlfile
+	// * @return true, if successful
+	// */
+	// protected static boolean writeEmptyWorkspaceFile(File xmlfile) {
+	// xmlfile.getParentFile().mkdirs();
+	// try {
+	// OutputStreamWriter writer = new OutputStreamWriter(
+	// new FileOutputStream(xmlfile), TXMPreferences.DEFAULT_ENCODING);
+	// writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"); //$NON-NLS-1$
+	// writer.write("<workspace>\n"); //$NON-NLS-1$
+	// writer.write("<projects>\n"); //$NON-NLS-1$
+	// writer.write("<project name=\"default\">\n"); //$NON-NLS-1$
+	// writer.write("<bases/>\n"); //$NON-NLS-1$
+	// writer.write("</project>\n"); //$NON-NLS-1$
+	// writer.write("</projects>\n"); //$NON-NLS-1$
+	// writer.write("</workspace>\n"); //$NON-NLS-1$
+	// writer.close();
+	// } catch (IOException e) {
+	// System.out.println(TXMCoreMessages.Workspace_6+xmlfile.getAbsolutePath());
+	// Log.severe(TXMCoreMessages.Workspace_6+xmlfile.getAbsolutePath()+" : "+e.getMessage()); //$NON-NLS-1$
+	// return false;
+	// }
+	// return true;
+	// }
+	
 	/**
 	 * Instantiates a new workspace.
 	 *
@@ -114,34 +116,39 @@
 	 */
 	private Workspace() {
 		super("ROOT");
-
+		
 		rcpWorkspace = ResourcesPlugin.getWorkspace();
 		root = rcpWorkspace.getRoot();
 		corporaProject = root.getProject("corpora");
-
+		
 		if (!corporaProject.exists()) {
 			try {
 				corporaProject.create(null);
-			} catch (CoreException e) {
+			}
+			catch (CoreException e) {
 				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
 		}
-
-		this.internalPersistable = true;
+		
 		this.userName = corporaProject.getName(); // corpora
-		//		this.setPath("/"+pName); 
-		//		this.xmlDefinitionFile = xmlfile;
+		// this.setPath("/"+pName);
+		// this.xmlDefinitionFile = xmlfile;
 	}
-
+	
+	@Override
+	public boolean isInternalPersistable() {
+		return true;
+	}
+	
 	public static Workspace getInstance() {
 		if (Toolbox.workspace == null) {
 			Toolbox.workspace = new Workspace();
 		}
-
+		
 		return Toolbox.workspace;
 	}
-
+	
 	/**
 	 * Gets the projects.
 	 *
@@ -151,7 +158,7 @@
 	public List<Project> getProjects() {
 		return (List<Project>) getChildren(Project.class);
 	}
-
+	
 	/**
 	 * Gets the project.
 	 *
@@ -166,66 +173,67 @@
 		}
 		return null;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		return userName;
 	}
-
+	
 	@Override
 	public String getDetails() {
 		return userName;
 	}
-
+	
 	@Override
 	public void clean() {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	@Deprecated
 	public boolean toTxt(File arg0, String arg1, String arg2, String arg3) throws Exception {
 		// TODO Auto-generated method stub
 		return false;
 	}
-
+	
 	public File getLocation() {
 		return corporaProject.getLocation().toFile().getAbsoluteFile();
 	}
-
+	
 	/**
-	 * Scan directory: 
+	 * Scan directory:
 	 * 1- check the binary corpus format
 	 * 2- register in the workspace
 	 *
 	 * @param binCorpusDir the base
 	 * @return the base
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	public Project scanDirectory(File binCorpusDir) throws Exception {
-
-		//System.out.println(Messages.Project_5);
+		
+		// System.out.println(Messages.Project_5);
 		File HTMLs = new File(binCorpusDir, "HTML"); //$NON-NLS-1$
-		//File TXMs = new File(binCorpusDir, "txm"); //$NON-NLS-1$
+		// File TXMs = new File(binCorpusDir, "txm"); //$NON-NLS-1$
 		File DATAs = new File(binCorpusDir, "data"); //$NON-NLS-1$
 		File REGISTRY = new File(binCorpusDir, "registry"); //$NON-NLS-1$
 		File PARAMS = new File(binCorpusDir, ".settings"); //$NON-NLS-1$
 		File PROJECT = new File(binCorpusDir, ".project"); //$NON-NLS-1$
 		binCorpusDir = new File(this.getLocation(), binCorpusDir.getName()); // this is to ensure the project is in the workspace files
-
+		
 		if (binCorpusDir.exists() && HTMLs.exists() && DATAs.exists()
 				&& REGISTRY.exists() && PARAMS.exists() && PROJECT.exists())// && correspfile.exists())
 		{// minimal base data
-
+			
 			File[] maincorpusNames = DATAs.listFiles();
 			String maincorpusName = "";
 			if (maincorpusNames.length == 0) { // no CQP corpus
 				System.out.println(NLS.bind("Error: no CQP corpus data found in {0} directory.", DATAs));
 				return null;
-			} else {
+			}
+			else {
 				maincorpusName = maincorpusNames[0].getName();
 			}
-
+			
 			Project p = getProject(binCorpusDir.getName());
 			if (p != null) {
 				p.delete(); // a project with the same name already exists
@@ -234,57 +242,59 @@
 			if (p != null) {
 				p.delete(); // a project with the same name already exists
 			}
-
-			//System.out.println(parameters.toString());
-
+			
+			// System.out.println(parameters.toString());
+			
 			// load the project from the project .settings directory
 			IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
-
-			//rcpWorkspace.getRoot().refreshLocal(1, new LogMonitor());
-
-			IProjectDescription description = rcpWorkspace.loadProjectDescription(new Path(binCorpusDir.getAbsolutePath()+"/.project"));
+			
+			// rcpWorkspace.getRoot().refreshLocal(1, new LogMonitor());
+			
+			IProjectDescription description = rcpWorkspace.loadProjectDescription(new Path(binCorpusDir.getAbsolutePath() + "/.project"));
 			description.setLocation(new Path(binCorpusDir.getAbsolutePath()));
 			IProject rcpProject = rcpWorkspace.getRoot().getProject(description.getName());
-
+			
 			if (!rcpProject.exists()) {
 				rcpProject.create(description, new LogMonitor());
 			}
 			if (!rcpProject.isOpen()) {
 				rcpProject.open(new LogMonitor());
 			}
-
+			
 			Project b = Project.loadProjectFromProjectScope(rcpProject);
 			if (b != null) {
 				return b;
-			} else {
+			}
+			else {
 				Log.warning(NLS.bind("No TXM project found in {0}", binCorpusDir));
 				return null;
 			}
-		} else {
+		}
+		else {
 			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.errorColonP0CorpusDirectoryIsNotConformantToTXMCorpusBinaryFormatColonCorpusSkipped, binCorpusDir));
 			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.tXMNeedsFoldersColonP0P1P2AndP3, HTMLs, DATAs, REGISTRY, PARAMS));
 		}
 		return null;
 	}
-
+	
 	/**
-	 * Scan directory: 
+	 * Scan directory:
 	 * 1- check the binary corpus format
 	 * 2- register in the workspace
 	 *
 	 * @param binCorpusDir the base
 	 * @return the base
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	public Project scanDirectory079(File binCorpusDir) throws Exception {
-
-		//System.out.println(Messages.Project_5);
+		
+		// System.out.println(Messages.Project_5);
 		File HTMLs = new File(binCorpusDir, "HTML"); //$NON-NLS-1$
-		//File TXMs = new File(binCorpusDir, "txm"); //$NON-NLS-1$
+		// File TXMs = new File(binCorpusDir, "txm"); //$NON-NLS-1$
 		File DATAs = new File(binCorpusDir, "data"); //$NON-NLS-1$
 		File REGISTRY = new File(binCorpusDir, "registry"); //$NON-NLS-1$
 		File PARAMS = new File(binCorpusDir, "import.xml"); //$NON-NLS-1$
-
+		
 		if (HTMLs.exists() && DATAs.exists()
 				&& REGISTRY.exists() && PARAMS.exists())// && correspfile.exists())
 		{// minimal base data
@@ -294,112 +304,114 @@
 				Log.severe(NLS.bind(TXMCoreMessages.failedToLoadBaseParametersFromTheP0File, PARAMS));
 				return null;
 			}
-
-			//			if (parameters.version == null || parameters.version.length() == 0) {
-			//				System.out.println(TXMCoreMessages.Project_14);
-			//				return null;
-			//			} else if (CURRENTCORPUSVERSION.compareTo(parameters.version) > 0) {
-			//				System.out.println(TXMCoreMessages.Project_15);
-			//				System.out.println(CURRENTCORPUSVERSION+" > "+parameters.version); //$NON-NLS-1$
-			//				return null;
-			//			}
-
-			//System.out.println(parameters.toString());
-
+			
+			// if (parameters.version == null || parameters.version.length() == 0) {
+			// System.out.println(TXMCoreMessages.Project_14);
+			// return null;
+			// } else if (CURRENTCORPUSVERSION.compareTo(parameters.version) > 0) {
+			// System.out.println(TXMCoreMessages.Project_15);
+			// System.out.println(CURRENTCORPUSVERSION+" > "+parameters.version); //$NON-NLS-1$
+			// return null;
+			// }
+			
+			// System.out.println(parameters.toString());
+			
 			// Creates a new project that doesn't need to build
-
-			//FIXME: SJ: old version where there is a bug if the name or path are not in same case
-			//Project project = new Project(this, parameters.name, false);
-			//FIXME: SJ: new version that fix the bug but whe may want to not modify the case of the name? 
+			
+			// FIXME: SJ: old version where there is a bug if the name or path are not in same case
+			// Project project = new Project(this, parameters.name, false);
+			// FIXME: SJ: new version that fix the bug but whe may want to not modify the case of the name?
 			Project project = new Project(this, binCorpusDir.getName(), false);
-//			if (!parameters.name.equals(project.getRCPProject().getName())) {
-//				IPath destination = new Path(project.getRCPProject().getParent().getLocation(), parameters.name);
-//				project.getRCPProject().move(destination, true, project);
-//			}
-
+			// if (!parameters.name.equals(project.getRCPProject().getName())) {
+			// IPath destination = new Path(project.getRCPProject().getParent().getLocation(), parameters.name);
+			// project.getRCPProject().move(destination, true, project);
+			// }
+			
 			project._load(parameters);
 			project.pCorpusVersion = "0.7.9 -> 0.8.0";
-			//b._compute();
-			//System.out.println("CREATE CORPORA? "+b.corpora.values());
+			// b._compute();
+			// System.out.println("CREATE CORPORA? "+b.corpora.values());
 			for (Element c : parameters.corpora.values()) {
 				String corpusname = c.getAttribute(NAME);
-				//File TXMc = new File(TXMs, corpusname);
+				// File TXMc = new File(TXMs, corpusname);
 				File HTMLc = new File(HTMLs, corpusname);
 				File REGISTRYc = new File(REGISTRY, corpusname.toLowerCase());
 				File DATAc = new File(DATAs, corpusname);
-
+				
 				if (!(PARAMS.exists() && HTMLc.exists() && REGISTRYc.exists() && DATAc.exists())) {
 					System.out.println(NLS.bind(TXMCoreMessages.errorColonSkippingTheLoadingOfTheP0Corpus, corpusname));
 					System.out.println(NLS.bind(TXMCoreMessages.pARAMSColonP0, PARAMS));
-					System.out.println("HTMLc: "+HTMLc+" : "+HTMLc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
-					System.out.println("REGISTRYc: "+REGISTRYc+" : "+REGISTRYc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
-					System.out.println("DATAc: "+DATAc+" : "+DATAc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println("HTMLc: " + HTMLc + " : " + HTMLc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println("REGISTRYc: " + REGISTRYc + " : " + REGISTRYc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
+					System.out.println("DATAc: " + DATAc + " : " + DATAc.exists()); //$NON-NLS-1$ //$NON-NLS-2$
 					continue;
 				}
 			}
-
+			
 			return project;
-		} else {
+		}
+		else {
 			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.errorColonP0CorpusDirectoryIsNotConformantToTXM079CorpusBinaryFormatColonCorpusSkipped, binCorpusDir));
 			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.tXMNeedsFoldersColonP0P1P2AndP3, HTMLs, DATAs, REGISTRY, PARAMS));
 		}
 		return null;
 	}
-
-
+	
+	
 	@Override
 	public boolean saveParameters() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	public String getName() {
 		return userName;
 	}
-
+	
 	@Override
 	public boolean canCompute() throws Exception {
 		return true;
 	}
-
+	
 	@Override
 	protected boolean _compute() throws Exception {
-		//TODO should ensure its files are up to date
+		// TODO should ensure its files are up to date
 		return true;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return "Workspace";
 	}
-
+	
 	/**
 	 * Loads and recreates the existing projects.
-	 * @throws CoreException 
+	 * 
+	 * @throws CoreException
 	 */
-	public void loadProjectsFromProjectScopes(IProgressMonitor monitor) throws CoreException	{
-
+	public void loadProjectsFromProjectScopes(IProgressMonitor monitor) throws CoreException {
+		
 		Log.fine("Toolbox.initialize(): reloading projects...");
-
+		
 		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
 		IProject corporaDirectory = rcpWorkspace.getRoot().getProject("corpora");
-
+		
 		if (!corporaDirectory.exists()) {
 			Log.severe("Can't load corpora projects: 'corpora' not found in workspace.");
 			return;
 		}
 		IProject projects[] = rcpWorkspace.getRoot().getProjects();
-
+		
 		Log.fine("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
 		monitor.setTaskName(NLS.bind(TXMCoreMessages.initializingCorpora, 0, projects.length));
 		int c = 0;
@@ -412,25 +424,25 @@
 				continue;
 			}
 			
-			//project.open(monitor);
-			//String[] natures = project.getDescription().getNatureIds();
-			//if (Arrays.binarySearch(natures, Project.TXMCORPUSNATURE) < 0) continue;
+			// project.open(monitor);
+			// String[] natures = project.getDescription().getNatureIds();
+			// if (Arrays.binarySearch(natures, Project.TXMCORPUSNATURE) < 0) continue;
 			if (project.isOpen()) {
 				Project.loadProjectFromProjectScope(project); // !!!
 			}
 		}
-
+		
 		// force the initialization of CorpusBuilds
 		for (TXMResult r : this.getChildren(Project.class)) {
-			Project project = (Project)r;
+			Project project = (Project) r;
 			if (project.isOpen()) {
 				for (CorpusBuild cb : project.getCorpora()) {
 					if (!cb.compute(false)) {
-						System.out.println("Deleting broken corpus: "+cb+" of "+cb.getProject());
+						System.out.println("Deleting broken corpus: " + cb + " of " + cb.getProject());
 						cb.delete();
 					}
 				}
 			}
 		}
 	}
-}
\ No newline at end of file
+}
